> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aptlystar.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# API to register user by admin



## OpenAPI

````yaml api-reference/openapi-1.json post /api/v1/admin/register-user
openapi: 3.0.1
info:
  title: '@fastify/swagger'
  version: 8.15.0
servers:
  - url: https://app.aptlystar.ai
security: []
paths:
  /api/v1/admin/register-user:
    post:
      tags:
        - Admin
      summary: API to register user by admin
      parameters:
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
      requestBody:
        content:
          '*/*':
            schema:
              required:
                - email
                - password
                - username
              type: object
              properties:
                username:
                  type: string
                email:
                  type: string
                password:
                  type: string
        required: false
      responses:
        '200':
          description: Default Response
          content:
            '*/*':
              schema:
                type: object
                properties:
                  message:
                    type: string

````